Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractNotifyMessage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIMessage
                  org.richfaces.component.AbstractNotifyMessage

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.AjaxOutput, ClientSideMessage, org.richfaces.component.NotifyAttributes

Direct Known Subclasses:
  UINotifyMessage

    public abstract class AbstractNotifyMessage

extends javax.faces.component.UIMessage
implements org.ajax4jsf.component.AjaxOutput, ClientSideMessage, org.richfaces.component.NotifyAttributes

The <rich:notifyMessage> component is built on top of <rich:notify>, the difference is in usage. The <rich:notifyMessage> component displays FacesMessages associated with a given component, similar to <rich:message>: one notification is displayed for first FacesMessage in the stack that is risen either programatically or during conversion/validation of the component. The severity of the message determines the color and icon of the resulting notification.

Author:
  Lukas Fryc

Field Summary

Fields inherited from class javax.faces.component.UIMessage
`COMPONENT_FAMILY, COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractNotifyMessage()`

Method Summary
`abstract boolean` | `isAjaxRendered()`
`abstract boolean` | `isKeepTransient()`
`void` | `updateMessages(javax.faces.context.FacesContext context, String clientId)`

Methods inherited from class javax.faces.component.UIMessage
`getFamily, getFor, isRedisplay, isShowDetail, isShowSummary, setFor, setRedisplay, setShowDetail, setShowSummary`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxOutput
`setAjaxRendered, setKeepTransient`

Methods inherited from interface org.richfaces.component.ClientSideMessage
`getFor`

Methods inherited from interface org.richfaces.component.NotifyAttributes
`getAnimationSpeed, getAppearAnimation, getDelay, getHideAnimation, getNonblockingOpacity, getStack, getStayTime, getStyleClass, isNonblocking, isShowCloseButton, isShowHistory, isShowShadow, isSticky, setAnimationSpeed, setAppearAnimation, setDelay, setHideAnimation, setNonblocking, setNonblockingOpacity, setShowCloseButton, setShowHistory, setShowShadow, setStack, setStayTime, setSticky, setStyleClass`

Constructor Detail

### AbstractNotifyMessage

    public AbstractNotifyMessage()

Method Detail

### isAjaxRendered

    public abstract boolean isAjaxRendered()

  Specified by:
    `isAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`

### isKeepTransient

    public abstract boolean isKeepTransient()

  Specified by:
    `isKeepTransient` in interface `org.ajax4jsf.component.AjaxOutput`

### updateMessages

    public void updateMessages(javax.faces.context.FacesContext context,
                               String clientId)

  Specified by:
    `updateMessages` in interface `ClientSideMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.